{
  "factory": {
    "id": "file-connector-out",
    "type": "entaxy.runtime.connector",
    "parent": "connection-based-connector-out",
    "description": "File OUT-connector (producer) factory",
    "label": "connector,file",
    "isAbstract": false,
    "requires": ["file-connection"]
  },
  "entaxy.runtime.connector": {
  	"type": "file",
  	"protocol": "file"
  },
  "fields": {
		"entaxyOriginConnection": {
	        "displayName": "File Connection",
			"filter": {
				"label": "file"
			}
		}    
  },
	"outputs": {
		"init": {
			"isDefault": true,
			"fields": {
			    "camel_directoryName": {
			      "group": "general",
			      "defaultValue": {
			        "@CALCULATED": {
			          "expression": "${objectId}"
			        }
			      }
			    },
				"@IMPORT": [{
					"sourceFactoryId": "file-connection",
					"location": "outputs.producer.fields",
					"prefix": "",
					"filter": {
						"contained": [{
								"attribute": "##origin",
								"values": ["camel"]
							}
						]
					}
				}
				]
			},
			"config": {
				"configurable": false,
				"fieldsConfigurableByDefault": true,
				"configurableFields": {
					"includeNames":["camel_jailStartingDirectory"],
					"includePatterns":[]
				}
			}			
		}
	}
}
